data {
        int<lower=0> J;
        array[J] real y;
}
parameters {
        real vmu;
        real<lower=0> vsigma;
}
transformed parameters {
        //          Rescaling of vmu and vsigma
        real mu;
        real sigma;
        mu = vmu * 1000.0;
        sigma = vsigma * 1000.0 + 0.001;
}
model {
        vmu ~ normal(0.0, 1.0);
        vsigma ~ exponential(1.0);
        y ~ normal(mu, sigma);
}
