data {
	int N;
	array[N] vector[2] Data;
	real l1;
	real u1;
	real l2;
	real u2;
	real sgm_l1;
	real sgm_u1;
	real sgm_l2;
	real sgm_u2;
}
parameters {
	real<lower = l1, upper = u1> mu1;
	real<lower = l2, upper = u2> mu2;
	real<lower = sgm_l1, upper = sgm_u1> sgm1;
	real<lower = sgm_l2, upper = sgm_u2> sgm2;
	real<lower = -1.0, upper = 1.0> r;
}
transformed parameters {
	vector[2] mu;
	matrix[2, 2] cov;
	mu[1] = mu1; 
	mu[2] = mu2;  
	cov[1][1] = sgm1 * sgm1;
	cov[1][2] = sgm1 * sgm2 * r;
	cov[2][1] = sgm1 * sgm2 * r;
	cov[2][2] = sgm2 * sgm2;
}
model {
	for (i in 1:N){
		Data[i] ~ multi_normal(mu, cov);
	}
}
